Ticket #28805

OAuth認証ではブラウザを起動するように

Open Date: 2012-06-20 13:12 Last Update: 2012-07-12 06:16

Reporter:
(Anonymous)
Owner:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
6
Severity:
9 - Highest
Resolution:
Accepted
File:
None

Details

OAuth認証をブラウザコンポーネントを使った自前の窓で行うようになっていますが、適切とは言えません。

  • 表示されている内容がtwitterのサイトのものであるか利用者に確認するすべがない(URLが表示されていますが表示されていればいいというものではない)
  • たとえブラウザコンポーネントであってもアプリケーションがID、パスワードを要求していることに変わりはなく、OAuthの意味が無い

クライアントはブラウザを呼び出し、認可後のPINの入力のみを求める一般的な実装に改めるべきだと思います

Ticket History (3/3 Histories)

2012-06-20 13:12 Updated by: None
  • New Ticket "OAuth認証ではブラウザを起動するように" created
2012-06-21 01:03 Updated by: upsilon
  • Owner Update from (None) to upsilon
  • Resolution Update from None to Accepted
  • Severity Update from 5 - Medium to 9 - Highest
  • Priority Update from 5 - Medium to 6
Comment

尤もな御意見ありがとうございます。この問題はパスワードを扱うという面でも、write+DM権限を要求するアプリとしてもユーザーに対して軽率な設計でありました。 現在開発に割ける時間が限られているため改善が行われるには時間が掛かりますが、極力優先して修正を行いたいと思います。 それまでの間は、認証ダイアログのブラウザコンポーネントのプロパティ等からURLをコピーし外部のブラウザで認証を行うことで埋め込みブラウザによる認証を回避して下さい。

2012-07-12 06:16 Updated by: upsilon
  • Ticket Close date is changed to 2012-07-12 06:16
  • Status Update from Open to Closed
Comment

下記コミットにて修正が完了しました。次バージョンより反映されます。 http://sourceforge.jp/projects/opentween/scm/git/open-tween/commits/d883fcc0

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login